Page MenuHomePhabricator

Launch Community Prototype
Closed, ResolvedPublic5 Estimated Story Points

Description

Background

This task will collect the steps required to begin testing with our new prototype across various language communities

Prototype workflow

Prototype workflow (2).jpg (567×466 px, 24 KB)

Requirements

Project Page
Banner
Prototype

Acceptance criteria

Before launching in production, we have to check the following on test2.wikipedia.org, as a logged-in user:

  • Banner is visible (forced with url param: https://test2.wikipedia.org/wiki/Main_Page?banner=Accessibility_for_reading_prototype )
  • Clicking the banner reloads the page and enables the prototype
  • The prototype sliders change the font-size, line-height and paragraph spacing
  • The prototype 'randomize' and 'reset' buttons work
  • The prototype changes persist across pages
  • Clicking the "share my preferences" button opens a prefilled form that contains the content of the preload page
  • The prefilled form contains the font-size, line-height, and paragraph-spacing values of the prototype
  • Clicking the 'close' or 'opt-out' link in the prototype removes it permanently

Signoff criteria

  • Add to release timeline

QA Results - Prod

Event Timeline

ovasileva created this task.

This morning we chatted about this ticket. THe scope has changed - we are now planning to ship as a beta feature. We'll repurpose this ticket and add acceptance criteria describing the desired behaviour and estimate it on Monday.

Change 953739 had a related patch set uploaded (by Jdlrobson; author: Jdrewniak):

[mediawiki/skins/Vector@master] Web typography prototype survey

https://gerrit.wikimedia.org/r/953739

Jdlrobson set the point value for this task to 5.Oct 2 2023, 5:27 PM
  • The current plan is to show a banner that has a button that enables a hidden user preference.
  • The banner is going to copy the astronaut banner with different text.
  • A patch is going to be merged to Vector which enables the code when the hidden user preference is enabled. The user preference is disabled by default.
  • There will be a button in the prototype to opt out and disable the user preference.
  • This week will be an English only deploy.

Change 962666 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] Allow user preferences to be overriden by query string parameter

https://gerrit.wikimedia.org/r/962666

Change 953739 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Web typography prototype survey

https://gerrit.wikimedia.org/r/953739

@sgrabarczuk This is the script we can use to load the prototype by clicking the banner message

(function() {

var bannerLink = document.querySelector('.cbnnr-message');

bannerLink.addEventListener( 'click', function( e ) {
  e.preventDefault(); 
  var api = new mw.Api();
  api.saveOption( 'vector-typography-survey', 1 )
  .then( function() { 
      mw.centralNotice.hideBanner();
      location.reload();
  }); 
});

})();

Change 963121 had a related patch set uploaded (by Jdrewniak; author: Jdrewniak):

[mediawiki/skins/Vector@master] [Prototype] Change i18n message

https://gerrit.wikimedia.org/r/963121

Change 963043 had a related patch set uploaded (by Jdrewniak; author: Jdrewniak):

[mediawiki/skins/Vector@wmf/1.41.0-wmf.28] Web typography prototype survey

https://gerrit.wikimedia.org/r/963043

Change 963121 merged by jenkins-bot:

[mediawiki/skins/Vector@master] [Prototype] Change i18n message

https://gerrit.wikimedia.org/r/963121

Change 963138 had a related patch set uploaded (by Jdrewniak; author: Jdrewniak):

[mediawiki/skins/Vector@wmf/1.41.0-wmf.28] [Prototype] Change i18n message

https://gerrit.wikimedia.org/r/963138

Change 963043 merged by jenkins-bot:

[mediawiki/skins/Vector@wmf/1.41.0-wmf.28] Web typography prototype survey

https://gerrit.wikimedia.org/r/963043

Change 963138 merged by jenkins-bot:

[mediawiki/skins/Vector@wmf/1.41.0-wmf.28] [Prototype] Change i18n message

https://gerrit.wikimedia.org/r/963138

Mentioned in SAL (#wikimedia-operations) [2023-10-03T21:43:36Z] <jdrewniak@deploy2002> Started scap: Backport for [[gerrit:963043|Web typography prototype survey (T347208)]], [[gerrit:963137|Correct a recently-added message]], [[gerrit:963138|[Prototype] Change i18n message (T347208)]]

Mentioned in SAL (#wikimedia-operations) [2023-10-03T22:01:56Z] <jdrewniak@deploy2002> jdrewniak: Backport for [[gerrit:963043|Web typography prototype survey (T347208)]], [[gerrit:963137|Correct a recently-added message]], [[gerrit:963138|[Prototype] Change i18n message (T347208)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2023-10-03T22:22:44Z] <jdrewniak@deploy2002> Finished scap: Backport for [[gerrit:963043|Web typography prototype survey (T347208)]], [[gerrit:963137|Correct a recently-added message]], [[gerrit:963138|[Prototype] Change i18n message (T347208)]] (duration: 39m 08s)

Edtadros added a subscriber: Edtadros.

Test Result - Prod

Status: ✅ PASS
Environment: test2wiki
OS: macOS Ventura
Browser: Chrome
Device: MBA
Emulated Device:NA

Test Artifact(s):

QA Steps

check the following on test2.wikipedia.org, as a logged-in user:

✅ AC1: Banner is visible (forced with url param: https://test2.wikipedia.org/wiki/Main_Page?banner=Accessibility_for_reading_prototype )

screenshot 101.png (860×1 px, 261 KB)

✅ AC2: Clicking the banner reloads the page and enables the prototype
screenshot 54.mov.gif (858×1 px, 983 KB)

✅ AC3: The prototype sliders change the font-size, line-height and paragraph spacing
screenshot 55.mov.gif (858×1 px, 3 MB)

✅ AC4: The prototype 'randomize' and 'reset' buttons work
screenshot 56.mov.gif (858×1 px, 1 MB)

✅ AC5: The prototype changes persist across pages
screenshot 57.mov.gif (858×1 px, 1 MB)

✅ AC6: Clicking the "share my preferences" button opens a prefilled form that contains the content of the preload page
screenshot 58.mov.gif (858×1 px, 454 KB)

✅ AC7: The prefilled form contains the font-size, line-height, and paragraph-spacing values of the prototype
See AC6

✅ AC8: Clicking the 'close' or 'opt-out' link in the prototype removes it permanently

screenshot 59.mov.gif (858×1 px, 457 KB)

Jan: Anything left to do here? Please create a new ticket if so.

We deployed the prototype to enwiki last week and we're already collecting feedback, and we'll be deploying to different language wikis in the near future.

Change 966528 had a related patch set uploaded (by Jdrewniak; author: Jdrewniak):

[operations/mediawiki-config@master] Enable Vector readability survey on select wikis

https://gerrit.wikimedia.org/r/966528

Change 966528 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Vector readability survey on select wikis

https://gerrit.wikimedia.org/r/966528

Mentioned in SAL (#wikimedia-operations) [2023-10-17T13:30:41Z] <jdrewniak@deploy2002> Started scap: Backport for [[gerrit:966528|Enable Vector readability survey on select wikis (T347208)]]

Mentioned in SAL (#wikimedia-operations) [2023-10-17T13:32:18Z] <jdrewniak@deploy2002> jdrewniak: Backport for [[gerrit:966528|Enable Vector readability survey on select wikis (T347208)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2023-10-17T13:40:31Z] <jdrewniak@deploy2002> Finished scap: Backport for [[gerrit:966528|Enable Vector readability survey on select wikis (T347208)]] (duration: 09m 50s)

Change 966555 had a related patch set uploaded (by Jdrewniak; author: Jdrewniak):

[mediawiki/skins/Vector@master] Add language prefix to Readability survey

https://gerrit.wikimedia.org/r/966555

Change 966555 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Add language prefix to Readability survey

https://gerrit.wikimedia.org/r/966555

Change 966607 had a related patch set uploaded (by Jdrewniak; author: Jdrewniak):

[mediawiki/skins/Vector@wmf/1.42.0-wmf.1] Add language prefix to Readability survey

https://gerrit.wikimedia.org/r/966607

Change 966607 merged by jenkins-bot:

[mediawiki/skins/Vector@wmf/1.42.0-wmf.1] Add language prefix to Readability survey

https://gerrit.wikimedia.org/r/966607

Mentioned in SAL (#wikimedia-operations) [2023-10-17T20:52:02Z] <catrope@deploy2002> Started scap: Backport for [[gerrit:966607|Add language prefix to Readability survey (T347208)]]

Mentioned in SAL (#wikimedia-operations) [2023-10-17T20:53:21Z] <catrope@deploy2002> catrope and jdrewniak: Backport for [[gerrit:966607|Add language prefix to Readability survey (T347208)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2023-10-17T21:05:05Z] <catrope@deploy2002> Finished scap: Backport for [[gerrit:966607|Add language prefix to Readability survey (T347208)]] (duration: 13m 03s)